Bug 169429 - Links impossible to click and text to highlight in evolution
Links impossible to click and text to highlight in evolution
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
RHEL4U3NAK
:
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2005-09-28 03:54 EDT by Alex Maier
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 12:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Maier 2005-09-28 03:54:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Red Hat/1.0.6-1.4.2 Firefox/1.0.6

Description of problem:
When trying to click on a link in a message or trying to highlight a part of it, the cursor "jumps" to the end of the message on click. This happens with plain text as well as HTML messages, as long as they are longer than one screen. The only workaround is to right-click on the link and to select "Display link in browser." I could not find a workaround for the highlighting problem.

Once you have clicked somewhere in the body of the message, a blinking cursor appears on the spot you clicked or left or right from the message bounding box. The box itself becomes visible ba a running marquee-like border.

When clicking on links within message or highlighting text, this blinking cursor jumps to the left border of the message (the cursor displayed is as long as the message, i.e. several pages long, if the message is long) and the message itself jumps to the end, miking it impossible to highlight precisely what you want, and also impossible to click on links directly.

If the message is short enough to fit on one screen, it has "nowhere to run" and then you can perform all these operations.

Version-Release number of selected component (if applicable):
2.0.2

How reproducible:
Always

Steps to Reproduce:
1. Display text or HTML message longer than one screen length
2. Try to click on link or to highlight a portion of the text NOT in the lowest portion of the message (so it has somewhere to scroll)
3. See message jump to its lowest portion, while link does not open in browser, or your selection disappears from view.

Additional info:
Comment 7 RHEL Product and Program Management 2006-07-21 12:02:08 EDT
Development Management has reviewed and declined this request.  You may appeal this decision by reopening this request.
Comment 8 Alex Maier 2006-07-21 13:05:58 EDT
Folks,
Would really like to know why this bug was closed without any further
explanation. Ability to click on links and highlight text is one of the core
functionalities any mail client should offer.
Thanks,
Alex

Note You need to log in before you can comment on or make changes to this bug.